import { sessionKeyValidatorAddress } from '@abstract-foundation/agw-client/constants';
import { SessionKeyValidatorAbi, } from '@abstract-foundation/agw-client/sessions';
import { useWriteContract } from 'wagmi';
export const useCreateSession = () => {
    const { writeContract, writeContractAsync, ...writeContractRest } = useWriteContract();
    return {
        useCreateSession: (params) => {
            const { session, ...rest } = params;
            writeContract({
                address: sessionKeyValidatorAddress,
                abi: SessionKeyValidatorAbi,
                functionName: 'createSession',
                args: [session],
                ...rest,
            });
        },
        useCreateSessionAsync: async (params) => {
            const { session, ...rest } = params;
            await writeContractAsync({
                address: sessionKeyValidatorAddress,
                abi: SessionKeyValidatorAbi,
                functionName: 'createSession',
                args: [session],
                ...rest,
            });
        },
        ...writeContractRest,
    };
};
//# sourceMappingURL=useCreateSession.js.map